classification
Title: [sqlite3] Improve test coverage
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, erlendaasland, pablogsal, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2021-03-19 09:40 by erlendaasland, last changed 2021-06-24 12:43 by erlendaasland. This issue is now closed.

Files
File name Uploaded Description Edit
improve-sqlite3-coverage.diff erlendaasland, 2021-03-19 09:40
Pull Requests
URL Status Linked Edit
PR 26886 merged erlendaasland, 2021-06-23 23:23
Messages (2)
msg389060 - (view) Author: Erlend E. Aasland (erlendaasland) * (Python triager) Date: 2021-03-19 09:40
Attached patch improves the code coverage of the sqlite3 module. I've used llvm-cov for coverage measurement.

I'll create a PR for this, if you're fine with this, Berker/Serhiy.

Filename                      Regions    Missed Regions     Cover   Functions  Missed Functions  Executed       Lines      Missed Lines     Cover
-------------------------------------------------------------------------------------------------------------------------------------------------
prepare_protocol.c                 10                 7    30.00%           3                 2    33.33%          16                11    31.25%
util.c                             65                21    67.69%           3                 0   100.00%          78                26    66.67%
module.c                          306                59    80.72%          10                 1    90.00%         236                45    80.93%
row.c                             173                16    90.75%          11                 0   100.00%         146                13    91.10%
microprotocols.c                   81                 9    88.89%           3                 0   100.00%          98                15    84.69%
connection.c                     1113               155    86.07%          43                 0   100.00%        1366               179    86.90%
cache.c                           136                38    72.06%           7                 1    85.71%         227                59    74.01%
cursor.c                          758               116    84.70%          19                 0   100.00%         794               122    84.63%
statement.c                       340                22    93.53%          10                 0   100.00%         392                29    92.60%
-------------------------------------------------------------------------------------------------------------------------------------------------
TOTAL                            2982               443    85.14%         109                 4    96.33%        3353               499    85.12%
msg396473 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2021-06-24 11:57
New changeset 2c1ae09764446beda5248759fb99c859e14f1b25 by Erlend Egeberg Aasland in branch 'main':
bpo-43553: Improve `sqlite3` test coverage (GH-26886)
https://github.com/python/cpython/commit/2c1ae09764446beda5248759fb99c859e14f1b25
History
Date User Action Args
2021-06-24 12:43:14erlendaaslandsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-06-24 11:57:21pablogsalsetnosy: + pablogsal
messages: + msg396473
2021-06-23 23:23:42erlendaaslandsetstage: patch review
pull_requests: + pull_request25464
2021-03-19 09:40:27erlendaaslandcreate